com.bradmcevoy.http.webdav
Class DefaultPropFindRequestFieldParser

java.lang.Object
  extended by com.bradmcevoy.http.webdav.DefaultPropFindRequestFieldParser
All Implemented Interfaces:
PropFindRequestFieldParser

public class DefaultPropFindRequestFieldParser
extends java.lang.Object
implements PropFindRequestFieldParser

Simple implmentation which just parses the request body. If no xml is present it will return an empty set. Note this generally shouldnt be used directly, but should be wrapped by MSPropFindRequestFieldParser to support windows clients.

Author:
brad

Nested Class Summary
 
Nested classes/interfaces inherited from interface com.bradmcevoy.http.webdav.PropFindRequestFieldParser
PropFindRequestFieldParser.ParseResult
 
Constructor Summary
DefaultPropFindRequestFieldParser()
           
 
Method Summary
 PropFindRequestFieldParser.ParseResult getRequestedFields(java.io.InputStream in)
           
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Constructor Detail

DefaultPropFindRequestFieldParser

public DefaultPropFindRequestFieldParser()
Method Detail

getRequestedFields

public PropFindRequestFieldParser.ParseResult getRequestedFields(java.io.InputStream in)
Specified by:
getRequestedFields in interface PropFindRequestFieldParser


Copyright © 2011. All Rights Reserved.